Summary: 	Enhanced LaTeX mode for GNU Emacs
Name: 		auctex
Version: 	11.14
Release: 	1.PU_IAS.3
License: 	GPL
Group: 		Applications/Editors
URL: 		http://sunsite.dk/auctex/
Source0:        ftp://ftp.dina.kvl.dk/pub/Staff/Per.Abrahamsen/auctex/%{name}-%{version}.tar.gz
Requires: 	emacs >= 20
#BuildRequires: 	emacs-X11
BuildArchitectures: noarch
BuildRoot: 	%{_tmppath}/%{name}-root

%description 
AUC TeX is a comprehensive, customizable, integrated environment for
writing, editing and processing input files for LaTeX using GNU Emacs.

This .rpm does not enable AUC TeX system-wide.  
If you do want this, install auctex-init.el from auctex doc dir to
%{_datadir}/emacs/site-lisp/site-start.d/%{name}-init.el
or just add its contents or the following line to your .emacs (the 
same goes for xemacs, i.e. .xemacs/init.el)
(require 'tex-site)

%prep
%setup -q
cat >> tex-site.el << EOF
;; Correction: RedHat adjustments
;;
;; Variable from tex.el, with a default more fitting for RedHat
(defcustom TeX-macro-global '("/usr/share/texmf/tex/")
  "Directories containing the sites TeX macro files and style files.
The directory names *must* end with a slash."
  :group 'TeX-file
  :type '(repeat (directory :format "%v")))
EOF

cat >> %{name}-init.el << EOF
;;Autoactivation of AUC TeX" 
; Created for %{name}-%{version}-%{release}.noarch.rpm
(require 'tex-site)
EOF

%build
make
make contrib
( cd doc; make )

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_datadir}/emacs/site-lisp,%{_infodir}}
%makeinstall install-contrib install-info
sed -e "s#@AUCDIR#%{_datadir}/emacs/site-lisp/auctex/#" tex-site.el \
  > %{buildroot}%{_datadir}/emacs/site-lisp/tex-site.el


%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/auctex

%preun
# $1 is the number of versions of this package installed
# after this uninstallation
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/auctex
#  rm -f %{_datadir}/emacs/site-lisp/site-start.d/%{name}-init.el
fi
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING PROBLEMS ChangeLog INSTALLATION README
%doc %{_infodir}/*
%doc %{name}-init.el
%{_datadir}/emacs/site-lisp/%{name}
%config(noreplace) %{_datadir}/emacs/site-lisp/tex-site.el

%changelog
* Mon Apr 15 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Adjusted TeX-macro-global and put autoactivation in preinstall
  script so that it can be chosen at install time.

* Tue Feb 19 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Added site-start.el support

* Sat Feb 16 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Prerelease 11.11


